module Utils
  require "securerandom"

  module_function

  def uuid
    SecureRandom.uuid.gsub(/-/, "")
  end

  def milliseconds_to_nanoseconds milliseconds
    nano = milliseconds * (10**6)
    nano.to_i
  end

  def time_to_nanoseconds time_obj
    secs = time_obj.to_i
    nsecs = time_obj.nsec
    (10**9) * secs + nsecs
  end
end
