module Rookout
  module Processor
    module Namespaces
      require_relative "namespace"
      require_relative "ruby_object_namespace"

      require_relative "../../protobuf/variant_pb"

      class NoopNamespace < Namespace
        def initialize
          super
        end

        def call_method _name, _args
          Rookout::Processor::Namespaces::RubyObjectNamespace.new nil
        end

        def read_attribute _name
          Rookout::Processor::Namespaces::RubyObjectNamespace.new nil
        end

        def read_key _key
          Rookout::Processor::Namespaces::RubyObjectNamespace.new nil
        end

        def dump _log_object_errors
          Com::Rookout::Variant.new variant_type: :VARIANT_NONE
        end
      end
    end
  end
end
